org.gnome.gtk

## Interface TextBuffer.ApplyTag

- Enclosing class:
    TextBuffer

      public static interface TextBuffer.ApplyTag

  The signal emitted when a TextTag is added to a range of text.

  If you're using this then you'll probably also need the complement of this signal, which is `TextBuffer.RemoveTag`.

  The code to actually carry out the application of the tag is in the default handler, which will run after you return from yours.

  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onApplyTag(TextBuffer source, TextTag tag, TextIter start, TextIter finish)`

- - ### Method Detail

    - #### onApplyTag

          void onApplyTag(TextBuffer source,
                        TextTag tag,
                        TextIter start,
                        TextIter finish)